=== debian/changelog ===
avogadro (1.1.1-0ubuntu7) xenial; urgency=medium

  * Link the python library with openbabel2

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 12 Nov 2015 12:33:47 +0000

avogadro (1.1.1-0ubuntu6) xenial; urgency=medium

  * No-change rebuild against libglew1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2015 17:16:22 +0000

avogadro (1.1.1-0ubuntu5) wily; urgency=low

  * cmake QT search no longer automatically loads X11 detection, load
    it manually.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 10 Aug 2015 20:49:07 +0100

avogadro (1.1.1-0ubuntu4) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 12:26:37 +0100

avogadro (1.1.1-0ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:36:06 +0100

avogadro (1.1.1-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:07:23 +0400

avogadro (1.1.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 11:10:29 +0000

avogadro (1.1.0-4ubuntu2) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:20:09 +0000

avogadro (1.1.0-4ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes
    - Add libpython2.7-dev libboost-python-dev to libavogadro-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 28 Nov 2013 17:50:48 +0100

avogadro (1.1.0-4) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/rules (override_dh_auto_configure): Drop setting of
    -DPYTHON_INCLUDE_DIRS and fix the FTBFS too (really closes: #710703).
  * debian/patches/use_python_include_dirs.patch: Reverted to 1.1.0-2.
  * debian/patches/series: Don't use the use_python_include_dirs.patch patch.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 02 Jun 2013 21:39:03 +0200

avogadro (1.1.0-3) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
  * debian/rules: Try to fix an FTBFS if several Python versions are installed
    (closes: Bug#710703) and don't FTBFS if there is no multi-arch Python.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 01 Jun 2013 23:50:49 +0200

avogadro (1.1.0-2) experimental; urgency=low

  [ Daniel Leidert ]
  * debian/rules (CPPFLAGS, LDFLAGS): Added -fPIC to fix FTBFS.
  * debian/patches/use_python_include_dirs.patch: Minor fix to FindSIP.cmake
    to fix FTBFS.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 30 May 2013 00:09:24 +0200

avogadro (1.1.0-1) experimental; urgency=low

  * New upstream release (LP: #1155529).

  [ Daniel Leidert ]
  * debian/avogadro-data.install: Added crystals directory.
  * debian/control: Added a package for debugging symbols.
    (Vcs-Browser, Vcs-Svn): Fixed location.
  * debian/libavogadro-dev.install: Added pkg-config file.
  * debian/rules: Enable debug package and remove python specific stuff.
  * debian/watch: Catch experimental releases.
  * debian/patches/hurd_ftbfs.patch: Removed (not applicable).
  * debian/patches/nwchem_input_ccsd.patch: Dropped (applied upstream).
  * debian/patches/boost148.patch: Updated.
  * debian/patches/link_to_libgl2ps.patch: Updated.
  * debian/patches/use_python_include_dirs.diff: Renamed to 
    debian/patches/use_python_include_dirs.patch, updated and enabled.
  * debian/patches/series: Updated.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Mon, 13 May 2013 23:06:32 +0200

avogadro (1.0.3-6) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Dropped DM-Upload-Allowed field.
    (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Depends): Added non-versioned dependencies to python-numpy, python-qt4
    and python-sip (see #679819).
  * debian/copyright: Added a hint about the text found in some files in the
    testfile directory (closes: #643921). 
  * debian/rules: Removed code to generate versioned dependencies to
    python-numpy, python-qt4 and python-sip. Enable hardening.
  * debian/watch: Minor update to catch bzip2 compressed tarballs and ignore
    experimental releases.
  * debian/patches/use_python_include_dirs.diff: Added based on the patch by
    Ubuntu.

  [ Michael Banck ]
  * debian/upstream: Added reference. 

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 12 May 2013 21:30:52 +0200

avogadro (1.0.3-5ubuntu10) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:37 +0100

avogadro (1.0.3-5ubuntu9) saucy; urgency=low

  * Do the same with libboost-python-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 17 Aug 2013 16:57:02 +0200

avogadro (1.0.3-5ubuntu8) saucy; urgency=low

  * Add dependency on libpython2.7-dev to libavogadro-dev as cmake expects it
    to be there

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 17 Aug 2013 15:35:14 +0200

avogadro (1.0.3-5ubuntu7) saucy; urgency=low

  * Make avogadro look for python-py27 boost library, fixing FTBFS.
  * Force using python2.7 via Python_ADDITIONAL_VERSIONS

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Aug 2013 13:13:44 +0100

avogadro (1.0.3-5ubuntu6) saucy; urgency=low

  * Rebuild against sip-api-10

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 11:16:36 -0400

avogadro (1.0.3-5ubuntu5) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:39 +0100

avogadro (1.0.3-5ubuntu4) raring; urgency=low

  * Add support for multiarch python:
    - add use_python_include_dirs.diff to use PYTHON_INCLUDE_DIRS
      instead of PYTHON_INCLUDE_PATH and drop shipped FindPythonLibs.cmake

