=== debian/control ===
Source: avogadro
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: cmake (>> 2.6.0),
               debhelper (>> 7.0.50~),
               libboost-python-dev,
               libeigen2-dev (>> 2.0~beta6),
               libgl2ps-dev,
               libglew-dev,
               libopenbabel-dev (>> 2.2.0),
               libqt4-dev (>> 4.5.0),
               libqt4-opengl-dev,
               pkg-config,
               python (>> 2.6.6-3~),
               python-dev,
               python-numpy (>> 1:1.4.1-4~),
               python-sip-dev,
               qt4-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.4
X-Python-Version: current
Homepage: http://avogadro.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/experimental/avogadro/
Vcs-Svn: svn://anonscm.debian.org/debichem/experimental/avogadro/

Package: avogadro
Architecture: any
Depends: libavogadro1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: avogadro-data (>= 1.0.0-2)
Description: Molecular Graphics and Modelling System
 Avogadro is a molecular graphics and modelling system targeted at molecules
 and biomolecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 Features include:
  * Molecular modeller with automatic force-field based geometry optimization
  * Molecular Mechanics including constraints and conformer searches
  * Visualization of molecular orbitals and general isosurfaces
  * Visualization of vibrations and plotting of vibrational spectra
  * Support for crystallographic unit cells
  * Input generation for the Gaussian, GAMESS and MOLPRO quantum chemistry
    packages
  * Flexible plugin architecture and Python scripting
 .
 File formats Avogadro can read include PDB, XYZ, CML, CIF, Molden, as well as
 Gaussian, GAMESS and MOLPRO output.

Package: avogadro-data
Architecture: all
Depends: ${misc:Depends}
Breaks: avogadro (<< 1.0.0-2), libavogadro0 (<< 1.0.0-2)
Replaces: avogadro (<< 1.0.0-2), libavogadro0 (<< 1.0.0-2)
Description: Molecular Graphics and Modelling System (Data Files)
 Avogadro is a molecular graphics and modelling system targeted at molecules
 and biomolecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package contains data files like molecular builder fragments or
 OpenGL shaders.

Package: libavogadro1
Conflicts: libavogadro0
Replaces: libavogadro0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: avogadro-data (>= 1.0.0-2), python-avogadro
Description: Molecular Graphics and Modelling System (library)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the shared library.

Package: libavogadro-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libavogadro1 (= ${binary:Version}),
         libeigen2-dev (>= 2.0~beta6),
         libglew-dev,
         libopenbabel-dev (>= 2.2.0),
         libqt4-dev (>= 4.4.0),
         libpython2.7-dev,
         libboost-python-dev,
         ${misc:Depends}
Description: Molecular Graphics and Modelling System (development files)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the development and header files.

Package: python-avogadro
Architecture: any
Section: python
Priority: extra
XB-Python-Version: ${python:Versions}
Depends: python-numpy,
         python-qt4,
         python-sip,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sip:Depends}
Replaces: libavogadro0 (<< 0.9.8)
Breaks: libavogadro0 (<< 0.9.8)
Provides: ${python:Provides}
Description: Molecular Graphics and Modelling System (Python module)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the Python module.

Package: avogadro-dbg
Architecture: any
Section: debug
Priority: extra
Depends: avogadro (= ${binary:Version}),
         libavogadro1 (= ${binary:Version}),
         ${misc:Depends}
Description: Molecular Graphics and Modelling System (debugging symbols)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the debugging symbols for the library, the application
 and modules.
